<template>
	<zjDialogBox
		:title="'留言'"
		:minHeight="'50vh'"
		:isShow="isShow"
		@cancel="cancelDialog"
		@confirm="confirmDialog">
		<u--textarea
			fixed
      :cursorSpacing="100"
			v-model="value"
			:placeholder="replyItem ? `回复${replyItem.createBy || ''}：` : `留言内容：`"
			border="none"
			height="250">
		</u--textarea>
	</zjDialogBox>
</template>

<script>
	import zjDialogBox from "@/components/zj-dialog/zj-dialog-box.vue";

	export default {
		components: {
		    zjDialogBox,
		},

		props: {
			isShow: {
				type: Boolean,
				default: false
			},
		},

		data() {
			return {
        name: '',
				value: '',
        replyItem: null,
			}
		},

		methods: {
			setValue(replyItem) {
        console.log(replyItem);
        this.replyItem = replyItem;
				this.value = '';
			},

			cancelDialog() {
				this.$emit('close');
			},

			confirmDialog() {
				if(!this.value) return this.$toast('请填写备注信息');

        this.$emit('confirm', this.value);
			}
		}
	}
</script>

<style lang="scss" scoped>

</style>
